Merge lp:~akopytov/percona-xtrabackup/bug1190876-2.1 into lp:percona-xtrabackup/2.1

Proposed by Alexey Kopytov
Status: Merged
Approved by: Alexey Kopytov
Approved revision: no longer in the source branch.
Merged at revision: 646
Proposed branch: lp:~akopytov/percona-xtrabackup/bug1190876-2.1
Merge into: lp:percona-xtrabackup/2.1
Diff against target: 1733 lines (+451/-335)
61 files modified
test/bootstrap.sh (+90/-53)
test/inc/common.sh (+115/-6)
test/inc/ib_incremental_common.sh (+6/-5)
test/run.sh (+45/-29)
test/t/bug1028949.sh (+1/-4)
test/t/bug1192347.sh (+2/-3)
test/t/bug606981.sh (+1/-2)
test/t/bug733651.sh (+31/-12)
test/t/bug759225.sh (+7/-8)
test/t/bug810269.sh (+1/-2)
test/t/bug817132.sh (+1/-2)
test/t/bug930062.sh (+26/-13)
test/t/bug976945.sh (+5/-4)
test/t/bug977652.sh (+1/-4)
test/t/bug983695.sh (+1/-4)
test/t/bug983720_galerainfo.sh (+1/-2)
test/t/bug983720_lrudump.sh (+3/-3)
test/t/bug999750.sh (+1/-2)
test/t/compact_compressed.sh (+1/-2)
test/t/ddl.sh (+1/-2)
test/t/gtid.sh (+1/-5)
test/t/ib_buffer_pool.sh (+1/-4)
test/t/ib_buffer_pool_dump_incremental.sh (+1/-4)
test/t/ib_buffer_pool_rsync.sh (+2/-6)
test/t/ib_compress_basic.sh (+1/-4)
test/t/ib_doublewrite.sh (+3/-3)
test/t/ib_incremental_bitmap.sh (+5/-7)
test/t/ib_incremental_force_full_scan.sh (+5/-7)
test/t/ib_incremental_full_scan.sh (+0/-1)
test/t/ib_lru_dump_basic.sh (+3/-3)
test/t/ib_lru_dump_rsync.sh (+4/-5)
test/t/ib_lru_dump_stream.sh (+3/-3)
test/t/ib_rsync.sh (+1/-2)
test/t/ib_rsync_nolock.sh (+1/-2)
test/t/ib_stream_compress.sh (+1/-4)
test/t/ib_stream_compress_encrypt.sh (+1/-4)
test/t/innodb_page_size.sh (+2/-3)
test/t/remote_tablespaces.sh (+1/-5)
test/t/server_version.sh (+2/-3)
test/t/undo_tablespaces.sh (+1/-5)
test/t/xb_compress.sh (+1/-4)
test/t/xb_compress_encrypt.sh (+1/-5)
test/t/xb_export.sh (+9/-6)
test/t/xb_galera_info.sh (+1/-2)
test/t/xb_galera_sst.sh (+1/-2)
test/t/xb_incremental_bitmap_misc.sh (+10/-12)
test/t/xb_incremental_compressed.inc (+15/-12)
test/t/xb_incremental_compressed_bitmap_16kb.sh (+5/-7)
test/t/xb_incremental_compressed_bitmap_1kb.sh (+5/-7)
test/t/xb_incremental_compressed_bitmap_2kb.sh (+5/-7)
test/t/xb_incremental_compressed_bitmap_4kb.sh (+5/-7)
test/t/xb_incremental_compressed_bitmap_8kb.sh (+5/-7)
test/t/xb_incremental_compressed_full_scan_16kb.sh (+0/-1)
test/t/xb_incremental_compressed_full_scan_1kb.sh (+0/-1)
test/t/xb_incremental_compressed_full_scan_2kb.sh (+0/-1)
test/t/xb_incremental_compressed_full_scan_4kb.sh (+0/-1)
test/t/xb_incremental_compressed_full_scan_8kb.sh (+0/-1)
test/t/xb_log_overwrap.sh (+1/-2)
test/t/xb_parallel_compress.sh (+1/-4)
test/t/xb_parallel_compress_encrypt.sh (+1/-4)
test/t/xb_parallel_incremental.sh (+6/-0)
To merge this branch: bzr merge lp:~akopytov/percona-xtrabackup/bug1190876-2.1
Reviewer Review Type Date Requested Status
Alexey Kopytov (community) Approve
Review via email: mp+177004@code.launchpad.net

Description of the change

    Bug #1190876: Update links to server tarballs in bootstrap.sh

    All kinds of changes, fixes and hacks to update server tarballs in
    bootstrap.sh:

    - links in bootstrap.sh have been updated to use newer server
      tarballs. For PS, we only want to use newer server tarballs on CentOS
      due to bug #1172916. And even on CentOS, we have to use different
      revnos in tarball names depending on the architecture.

    - workaround for bug #1153950 in PS packages: use system mysql client,
      if available.

    - skip test xb_parallel_incremental test when running on server version
      5.6.x where x < 11 due to upstream bug #69780 (XB bug #1203669)

    - fixed bug #1194837: LRU dump tests test expect LRU dump feature in PS
      5.6

    - fixed bug #1194879: bug930062.sh and xb_export.sh expect improved
      table import in PS 5.6

    - fixed bug #1204083: bug795225.sh expects ALL_O_DIRECT support in
      XtraDB 5.6

    - fixed bug #1204085: bug733651.sh expects innodb_fast_checksum in
      XtraDB 5.6

    - fixed bug #1204114: bug930062.sh expects innodb_expand_import in
      XtraDB 5.6

    - skip bug733651 and bug976945 on PS 5.6 due to bug #1194828 (will be
      fixed separately).

    - increased the timeout due to compact_compressed sporadically exceeding
      the current value in debug 5.6 builds

    - added a workaround for Percona Server bug #1204072.

    - other code cleanups

To post a comment you must log in.
Revision history for this message
Alexey Kopytov (akopytov) wrote :
Revision history for this message
Alexey Kopytov (akopytov) wrote :

Self-approving. Have to merge to meet the release deadlines.

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'test/bootstrap.sh'
2--- test/bootstrap.sh 2013-04-09 07:24:21 +0000
3+++ test/bootstrap.sh 2013-07-25 17:40:36 +0000
4@@ -5,15 +5,15 @@
5 function usage()
6 {
7 cat <<EOF
8-Usage:
9+Usage:
10 $0 xtrabackup_target [installation_directory]
11 $0 path_to_server_tarball [installation_directory]
12
13 Prepares a server binary directory to be used by run.sh when running XtraBackup
14 tests.
15
16-If the argument is one of the build targets passed to build.sh
17-(i.e. innodb51 innodb55 innodb56 xtradb51 xtradb55) then the
18+If the argument is one of the build targets passed to build.sh
19+(i.e. innodb51 innodb55 innodb56 xtradb51 xtradb55) then the
20 appropriate Linux tarball is downloaded from a pre-defined location and
21 unpacked into the specified installation directory ('./server' by default).
22
23@@ -41,74 +41,111 @@
24
25 case "$1" in
26 innodb51)
27- url="http://s3.amazonaws.com/percona.com/downloads/community"
28- tarball="mysql-5.1.49-linux-$arch-glibc23.tar.gz"
29- ;;
30+ url="http://s3.amazonaws.com/percona.com/downloads/community"
31+ tarball="mysql-5.1.70-linux-$arch-glibc23.tar.gz"
32+ ;;
33
34 innodb55)
35- url="http://s3.amazonaws.com/percona.com/downloads/community"
36- tarball="mysql-5.5.16-linux2.6-$arch.tar.gz"
37- ;;
38+ url="http://s3.amazonaws.com/percona.com/downloads/community"
39+ tarball="mysql-5.5.31-linux2.6-$arch.tar.gz"
40+ ;;
41
42 innodb56)
43 url="http://s3.amazonaws.com/percona.com/downloads/community"
44- tarball="mysql-5.6.10-linux-glibc2.5-$arch.tar.gz"
45+ tarball="mysql-5.6.11-linux-glibc2.5-$arch.tar.gz"
46 ;;
47
48 xtradb51)
49- url="http://www.percona.com/redir/downloads/Percona-Server-5.1/Percona-Server-5.1.67-14.4/binary/linux/$arch"
50- tarball="Percona-Server-5.1.67-rel14.4-511.Linux.$arch.tar.gz"
51- ;;
52+ if which lsb_release >/dev/null 2>&1 && \
53+ ! lsb_release -i | grep -qi centos
54+ then
55+ # PS 5.1.69-rel14.7 tarballs are affected by LP bug #1172916
56+ # and thus unusable on anything but CentOS
57+ url="http://www.percona.com/redir/downloads/Percona-Server-5.1/Percona-Server-5.1.67-14.4/binary/linux/$arch"
58+ tarball="Percona-Server-5.1.67-rel14.4-511.Linux.$arch.tar.gz"
59+
60+ else
61+ url="http://s3.amazonaws.com/percona.com/downloads/community"
62+ tarball="Percona-Server-5.1.69-rel14.7-572.Linux.$arch.tar.gz"
63+ fi
64+ ;;
65
66 xtradb55)
67- url="http://www.percona.com/redir/downloads/Percona-Server-5.5/Percona-Server-5.5.30-30.1/binary/linux/$arch"
68- tarball="Percona-Server-5.5.30-rel30.1-465.Linux.$arch.tar.gz"
69- ;;
70+ if which lsb_release >/dev/null 2>&1 && \
71+ ! lsb_release -i | grep -qi centos
72+ then
73+ # PS 5.5.31-rel30.3 tarballs are affected by LP bug #1172916
74+ # and thus unusable on anything but CentOS
75+ url="http://www.percona.com/redir/downloads/Percona-Server-5.5/Percona-Server-5.5.30-30.1/binary/linux/$arch"
76+ tarball="Percona-Server-5.5.30-rel30.1-465.Linux.$arch.tar.gz"
77+ else
78+ url="http://s3.amazonaws.com/percona.com/downloads/community"
79+ tarball="Percona-Server-5.5.31-rel30.3-520.Linux.$arch.tar.gz"
80+ fi
81+ ;;
82
83 xtradb56)
84- url="http://www.percona.com/downloads/TESTING/Percona-Server-56/Percona-Server-5.6.10-alpha60.2/release-5.6.10-60.2/318/binary/linux/$arch"
85- tarball="Percona-Server-5.6.10-alpha60.2-318.Linux.$arch.tar.gz"
86- ;;
87+ if which lsb_release >/dev/null 2>&1 && \
88+ ! lsb_release -i | grep -qi centos
89+ then
90+ # PS 5.6.11-rc60.3 tarballs are affected by LP bug #1172916
91+ # and thus unusable on anything but CentOS
92+ url="http://www.percona.com/downloads/TESTING/Percona-Server-56/Percona-Server-5.6.10-alpha60.2/release-5.6.10-60.2/318/binary/linux/$arch"
93+ tarball="Percona-Server-5.6.10-alpha60.2-318.Linux.$arch.tar.gz"
94+ else
95+ url="http://s3.amazonaws.com/percona.com/downloads/community"
96+ # PS 5.6.11-rc60.3 tarballs have different revnos for i686 and
97+ # x86_64
98+ case "$arch" in
99+ i686)
100+ tarball="Percona-Server-5.6.11-rc60.3-376.Linux.i686.tar.gz"
101+ ;;
102+ *)
103+ tarball="Percona-Server-5.6.11-rc60.3-375.Linux.x86_64.tar.gz"
104+ ;;
105+ esac
106+ fi
107+ ;;
108
109 galera55)
110- url="http://www.percona.com/downloads/Percona-XtraDB-Cluster/5.5.24-23.6/binary/linux/$arch"
111- tarball="Percona-XtraDB-Cluster-5.5.24-23.6.342.Linux.$arch.tar.gz"
112- #galera=1
113- ;;
114+ url="http://www.percona.com/downloads/Percona-XtraDB-Cluster/5.5.24-23.6/binary/linux/$arch"
115+ tarball="Percona-XtraDB-Cluster-5.5.24-23.6.342.Linux.$arch.tar.gz"
116+ #galera=1
117+ ;;
118
119 mariadb51)
120- url="ftp://ftp.osuosl.org/pub/mariadb/mariadb-5.1.62/kvm-bintar-hardy-$maria_arch_path"
121- tarball="mariadb-5.1.62-Linux-$arch.tar.gz"
122- ;;
123+ url="http://s3.amazonaws.com/percona.com/downloads/community"
124+ tarball="mariadb-5.1.67-Linux-$arch.tar.gz"
125+ ;;
126
127 mariadb52)
128- url="ftp://ftp.osuosl.org/pub/mariadb/mariadb-5.2.12/kvm-bintar-hardy-$maria_arch_path"
129- tarball="mariadb-5.2.12-Linux-$arch.tar.gz"
130- ;;
131+ url="http://s3.amazonaws.com/percona.com/downloads/community"
132+ tarball="mariadb-5.2.14-Linux-$arch.tar.gz"
133+ ;;
134
135 mariadb53)
136- url="ftp://ftp.osuosl.org/pub/mariadb/mariadb-5.3.9/kvm-bintar-hardy-$maria_arch_path"
137- tarball="mariadb-5.3.9-Linux-$arch.tar.gz"
138- ;;
139+ url="http://s3.amazonaws.com/percona.com/downloads/community"
140+ tarball="mariadb-5.3.12-Linux-$arch.tar.gz"
141+ ;;
142
143 mariadb55)
144- url="ftp://ftp.osuosl.org/pub/mariadb/mariadb-5.5.28/kvm-bintar-hardy-$maria_arch_path"
145- tarball="mariadb-5.5.28-linux-$arch.tar.gz"
146- ;;
147+ url="http://s3.amazonaws.com/percona.com/downloads/community"
148+ tarball="mariadb-5.5.32-linux-$arch.tar.gz"
149+ ;;
150
151 mariadb100)
152- url="ftp://ftp.osuosl.org/pub/mariadb/mariadb-10.0.1/kvm-bintar-hardy-$maria_arch_path"
153- tarball="mariadb-10.0.1-linux-$arch.tar.gz"
154- ;;
155+ url="http://s3.amazonaws.com/percona.com/downloads/community"
156+ tarball="mariadb-10.0.3-linux-$arch.tar.gz"
157+ ;;
158
159 *)
160- if ! test -r "$1"
161- then
162- echo "$1 does not exist"
163- exit 1
164- fi
165- tarball="$1"
166- ;;
167+ if ! test -r "$1"
168+ then
169+ echo "$1 does not exist"
170+ exit 1
171+ fi
172+ tarball="$1"
173+ ;;
174 esac
175
176 if test -n "$2"
177@@ -128,22 +165,22 @@
178 then
179 if test -n "$url"
180 then
181- echo "Downloading $tarball"
182- wget -qc "$url/$tarball"
183+ echo "Downloading $tarball"
184+ wget -qc "$url/$tarball"
185 fi
186
187 echo "Unpacking $tarball into $destdir"
188- tar zxf $tarball -C $destdir
189+ tar zxf $tarball -C $destdir
190 sourcedir="$destdir/`ls $destdir`"
191 if test -n "$sourcedir"
192 then
193- mv $sourcedir/* $destdir
194- rm -rf $sourcedir
195+ mv $sourcedir/* $destdir
196+ rm -rf $sourcedir
197 fi
198 else
199 if test ! -d galerabuild
200 then
201- bzr init-repo galerabuild
202+ bzr init-repo galerabuild
203 fi
204 cd galerabuild
205
206@@ -156,9 +193,9 @@
207
208 if test -f /proc/cpuinfo
209 then
210- MAKE_J=`grep '^processor' /proc/cpuinfo | wc -l`
211+ MAKE_J=`grep '^processor' /proc/cpuinfo | wc -l`
212 else
213- MAKE_J=4
214+ MAKE_J=4
215 fi
216
217 make -j$MAKE_J
218
219=== modified file 'test/inc/common.sh'
220--- test/inc/common.sh 2013-07-16 05:44:55 +0000
221+++ test/inc/common.sh 2013-07-25 17:40:36 +0000
222@@ -32,12 +32,22 @@
223
224 function call_mysql_install_db()
225 {
226- vlog "Calling mysql_install_db"
227- cd $MYSQL_BASEDIR
228- $MYSQL_INSTALL_DB --defaults-file=${MYSQLD_VARDIR}/my.cnf \
229- --basedir=${MYSQL_BASEDIR} \
230- ${MYSQLD_EXTRA_ARGS}
231- cd - >/dev/null 2>&1
232+ vlog "Calling mysql_install_db"
233+
234+ cd $MYSQL_BASEDIR
235+
236+ if ! $MYSQL_INSTALL_DB --defaults-file=${MYSQLD_VARDIR}/my.cnf \
237+ --basedir=${MYSQL_BASEDIR} \
238+ ${MYSQLD_EXTRA_ARGS}
239+ then
240+ vlog "mysql_install_db failed. Server log (if exists):"
241+ vlog "----------------"
242+ cat ${MYSQLD_ERRFILE} >&2 || true
243+ vlog "----------------"
244+ exit -1
245+ fi
246+
247+ cd - >/dev/null 2>&1
248 }
249
250 ########################################################################
251@@ -612,5 +622,104 @@
252 rm -f $file
253 }
254
255+########################################################################
256+# Skip the current test with a given comment
257+########################################################################
258+function skip_test()
259+{
260+ echo $1 > $SKIPPED_REASON
261+ exit $SKIPPED_EXIT_CODE
262+}
263+
264+########################################################################
265+# Get version string in the XXYYZZ version
266+########################################################################
267+function get_version_str()
268+{
269+ printf %02d%02d%02d $1 $2 $3
270+}
271+
272+#########################################################################
273+# Return 0 if the server version is higher than the first argument
274+#########################################################################
275+function is_server_version_higher_than()
276+{
277+ [[ $1 =~ ^([0-9]+)\.([0-9]+)\.([0-9]+)$ ]] || \
278+ die "Cannot parse server version: '$1'"
279+
280+ local major=${BASH_REMATCH[1]}
281+ local minor=${BASH_REMATCH[2]}
282+ local patch=${BASH_REMATCH[3]}
283+
284+ local server_str=`get_version_str $MYSQL_VERSION_MAJOR \
285+$MYSQL_VERSION_MINOR $MYSQL_VERSION_PATCH`
286+ local version_str=`get_version_str $major $minor $patch`
287+
288+ [[ $server_str > $version_str ]]
289+}
290+
291+#########################################################################
292+# Require a server version higher than the first argument
293+########################################################################
294+function require_server_version_higher_than()
295+{
296+ is_server_version_higher_than $1 || \
297+ skip_test "Requires server version higher than $1"
298+}
299+
300+########################################################################
301+# Return 0 if the server version is lower than the first argument
302+#########################################################################
303+function is_server_version_lower_than()
304+{
305+ [[ $1 =~ ^([0-9]+)\.([0-9]+)\.([0-9]+)$ ]] || \
306+ die "Cannot parse server version: '$1'"
307+
308+ local major=${BASH_REMATCH[1]}
309+ local minor=${BASH_REMATCH[2]}
310+ local patch=${BASH_REMATCH[3]}
311+
312+ local server_str=`get_version_str $MYSQL_VERSION_MAJOR \
313+$MYSQL_VERSION_MINOR $MYSQL_VERSION_PATCH`
314+ local version_str=`get_version_str $major $minor $patch`
315+
316+ [[ $server_str < $version_str ]]
317+}
318+
319+#########################################################################
320+# Require a server version lower than the first argument
321+########################################################################
322+function require_server_version_lower_than()
323+{
324+ is_server_version_lower_than $1 || \
325+ skip_test "Requires server version lower than $1"
326+}
327+
328+########################################################################
329+# Return 0 if the server is XtraDB-based
330+########################################################################
331+function is_xtradb()
332+{
333+ [ -n "$XTRADB_VERSION" ]
334+}
335+
336+#########################################################################
337+# Skip the test if not running against XtraDB
338+########################################################################
339+function require_xtradb()
340+{
341+ is_xtradb || skip_test "Requires XtraDB"
342+}
343+
344+########################################################################
345+# Skip the test if qpress binary is not available
346+########################################################################
347+function require_qpress()
348+{
349+ if ! which qpress > /dev/null 2>&1 ; then
350+ skip_test "Requires qpress to be installed"
351+ fi
352+}
353+
354 # To avoid unbound variable error when no server have been started
355 SRV_MYSQLD_IDS=
356
357=== modified file 'test/inc/ib_incremental_common.sh'
358--- test/inc/ib_incremental_common.sh 2013-04-16 10:35:58 +0000
359+++ test/inc/ib_incremental_common.sh 2013-07-25 17:40:36 +0000
360@@ -1,5 +1,5 @@
361 # Expects the following variable to be set before including:
362-# mysqld_extra_args: an extra arg to be passed for all mysqld invocations.
363+# MYSQLD_EXTRA_MY_CNF_OPTS: an extra arg to be passed for all mysqld invocations.
364 # Use this to set special options that influence
365 # incremental backups, e.g. turns on log archiving or
366 # changed page bitmap output.
367@@ -8,9 +8,10 @@
368
369 . inc/common.sh
370
371-mysqld_extra_args="$mysqld_extra_args --innodb_file_per_table"
372+MYSQLD_EXTRA_MY_CNF_OPTS="${MYSQLD_EXTRA_MY_CNF_OPTS:-""}
373+innodb_file_per_table"
374
375-start_server $mysqld_extra_args
376+start_server
377 load_dbase_schema incremental_sample
378
379 # Adding initial rows
380@@ -48,7 +49,7 @@
381
382 # Rotate bitmap file here and force checkpoint at the same time
383 shutdown_server
384-start_server $mysqld_extra_args
385+start_server
386
387 i=1001
388 while [ "$i" -lt "7500" ]
389@@ -109,7 +110,7 @@
390 innobackupex --copy-back $full_backup_dir
391 vlog "Data restored"
392
393-start_server $mysqld_extra_args
394+start_server
395
396 vlog "Checking checksums"
397 checksum_test_b=`checksum_table incremental_sample test`
398
399=== modified file 'test/run.sh'
400--- test/run.sh 2013-07-24 13:40:08 +0000
401+++ test/run.sh 2013-07-25 17:40:36 +0000
402@@ -15,7 +15,7 @@
403 result=0
404
405 # Default test timeout in seconds
406-TEST_TIMEOUT=600
407+TEST_TIMEOUT=900
408
409 # Magic exit code to indicate a skipped test
410 export SKIPPED_EXIT_CODE=200
411@@ -268,7 +268,14 @@
412 find_program MYSQL_INSTALL_DB mysql_install_db $MYSQL_BASEDIR/bin \
413 $MYSQL_BASEDIR/scripts
414 find_program MYSQLD mysqld $MYSQL_BASEDIR/bin/ $MYSQL_BASEDIR/libexec
415- find_program MYSQL mysql $MYSQL_BASEDIR/bin
416+ # Use the global mysql client binary, if available. This is a workaround for
417+ # PS packageing bug LP 1153950
418+ if which mysql >/dev/null 2>&1
419+ then
420+ MYSQL=`which mysql`
421+ else
422+ find_program MYSQL mysql $MYSQL_BASEDIR/bin
423+ fi
424 find_program MYSQLADMIN mysqladmin $MYSQL_BASEDIR/bin
425 find_program MYSQLDUMP mysqldump $MYSQL_BASEDIR/bin
426
427@@ -355,6 +362,14 @@
428 MYSQL_VERSION=${MYSQL_VERSION#"version "}
429 MYSQL_VERSION_COMMENT=`$MYSQL ${MYSQL_ARGS} -Nsf -e "SHOW VARIABLES LIKE 'version_comment'"`
430 MYSQL_VERSION_COMMENT=${MYSQL_VERSION_COMMENT#"version_comment "}
431+
432+ # Split version info into components for easier compatibility checks
433+ [[ $MYSQL_VERSION =~ ^([0-9]+)\.([0-9]+)\.([0-9]+) ]] || \
434+ die "Cannot parse server version: '$MYSQL_VERSION'"
435+ MYSQL_VERSION_MAJOR=${BASH_REMATCH[1]}
436+ MYSQL_VERSION_MINOR=${BASH_REMATCH[2]}
437+ MYSQL_VERSION_PATCH=${BASH_REMATCH[3]}
438+
439 INNODB_VERSION=`$MYSQL ${MYSQL_ARGS} -Nsf -e "SHOW VARIABLES LIKE 'innodb_version'"`
440 INNODB_VERSION=${INNODB_VERSION#"innodb_version "}
441 XTRADB_VERSION="`echo $INNODB_VERSION | sed 's/[0-9]\.[0-9]\.[0-9][0-9]*\(-[0-9][0-9]*\.[0-9][0-9]*\)*$/\1/'`"
442@@ -384,33 +399,34 @@
443 if [ "$XB_BUILD" = "autodetect" ]
444 then
445 # Determine xtrabackup build automatically
446- if [ "${MYSQL_VERSION:0:3}" = "5.1" ]
447- then
448- if [ -z "$INNODB_VERSION" ]
449- then
450- XB_BIN="xtrabackup_51" # InnoDB 5.1 builtin
451- else
452- XB_BIN="xtrabackup" # InnoDB 5.1 plugin or Percona Server 5.1
453- fi
454- elif [ "${MYSQL_VERSION:0:3}" = "5.2" -o "${MYSQL_VERSION:0:3}" = "5.3" ]
455- then
456- XB_BIN="xtrabackup"
457- elif [ "${MYSQL_VERSION:0:3}" = "5.5" ]
458- then
459- if [ -n "$XTRADB_VERSION" ]
460- then
461- XB_BIN="xtrabackup_55"
462- else
463- XB_BIN="xtrabackup_innodb55"
464- fi
465- elif [ "${MYSQL_VERSION:0:3}" = "5.6" -o "${MYSQL_VERSION:0:4}" = "10.0" ]
466- then
467- XB_BIN="xtrabackup_56"
468- DEFAULT_IBDATA_SIZE="12M"
469- else
470- vlog "Unknown MySQL/InnoDB version: $MYSQL_VERSION/$INNODB_VERSION"
471- exit -1
472- fi
473+ case "$MYSQL_VERSION_MAJOR.$MYSQL_VERSION_MINOR" in
474+ 5.1 )
475+ if [ -z "$INNODB_VERSION" ]
476+ then
477+ XB_BIN="xtrabackup_51" # InnoDB 5.1 builtin
478+ else
479+ XB_BIN="xtrabackup" # InnoDB 5.1 plugin or Percona Server 5.1
480+ fi
481+ ;;
482+ 5.2 | 5.3 )
483+ XB_BIN="xtrabackup";;
484+ 5.5 )
485+ if [ -n "$XTRADB_VERSION" ]
486+ then
487+ XB_BIN="xtrabackup_55"
488+ else
489+ XB_BIN="xtrabackup_innodb55"
490+ fi
491+ ;;
492+ 5.6 | 10.0 )
493+ XB_BIN="xtrabackup_56"
494+ DEFAULT_IBDATA_SIZE="12M"
495+ ;;
496+ *)
497+ vlog "Unknown MySQL/InnoDB version: $MYSQL_VERSION/$INNODB_VERSION"
498+ exit -1
499+ ;;
500+ esac
501 fi
502
503 XB_PATH="`which $XB_BIN`"
504
505=== modified file 'test/t/bug1028949.sh'
506--- test/t/bug1028949.sh 2013-06-20 07:44:19 +0000
507+++ test/t/bug1028949.sh 2013-07-25 17:40:36 +0000
508@@ -1,9 +1,6 @@
509 . inc/common.sh
510
511-if [ -z "$INNODB_VERSION" ]; then
512- echo "Requires InnoDB plugin or XtraDB" >$SKIPPED_REASON
513- exit $SKIPPED_EXIT_CODE
514-fi
515+[ -n "$INNODB_VERSION" ] || skip_test "Requires InnoDB plugin or XtraDB"
516
517 function test_bug_1028949()
518 {
519
520=== modified file 'test/t/bug1192347.sh'
521--- test/t/bug1192347.sh 2013-06-20 22:41:55 +0000
522+++ test/t/bug1192347.sh 2013-07-25 17:40:36 +0000
523@@ -9,9 +9,8 @@
524 ${MYSQLD} --basedir=$MYSQL_BASEDIR --user=$USER --help --verbose --wsrep-sst-method=rsync| grep -q wsrep
525 probe_result=$?
526 if [[ "$probe_result" == "0" ]]
527- then
528- echo "Server supports wsrep" > $SKIPPED_REASON
529- exit $SKIPPED_EXIT_CODE
530+then
531+ skip_test "Server supports wsrep"
532 fi
533 set -e
534
535
536=== modified file 'test/t/bug606981.sh'
537--- test/t/bug606981.sh 2013-04-27 18:46:54 +0000
538+++ test/t/bug606981.sh 2013-07-25 17:40:36 +0000
539@@ -2,8 +2,7 @@
540
541 if test "`uname -s`" != "Linux"
542 then
543- echo "Requires Linux" > $SKIPPED_REASON
544- exit $SKIPPED_EXIT_CODE
545+ skip_test "Requires Linux"
546 fi
547
548 MYSQLD_EXTRA_MY_CNF_OPTS="
549
550=== modified file 'test/t/bug733651.sh'
551--- test/t/bug733651.sh 2012-06-04 18:29:48 +0000
552+++ test/t/bug733651.sh 2013-07-25 17:40:36 +0000
553@@ -5,26 +5,45 @@
554
555 . inc/common.sh
556
557+# Require XtraDB <= 5.5 until bug #1194828 is fixed
558+if is_xtradb && is_server_version_higher_than 5.6.0
559+then
560+ skip_test "Doesn't work with XtraDB 5.6, bug #1194828"
561+fi
562+
563 options="innodb_log_files_in_group innodb_log_file_size"
564-if [ ! -z "$XTRADB_VERSION" ]; then
565- options="$options innodb_page_size innodb_fast_checksum innodb_log_block_size"
566+
567+# innodb_page_size is supported in XtraDB 5.1+ and InnoDB 5.6+
568+if is_xtradb || is_server_version_higher_than 5.6.0
569+then
570+ options="$options innodb_page_size"
571+fi
572+
573+# innodb_fast_checksum is supported in XtraDB 5.1/5.5
574+if is_xtradb && is_server_version_lower_than 5.6.0
575+then
576+ options="$options innodb_fast_checksum"
577+fi
578+
579+# innodb_log_block_size is only supported in XtraDB
580+if is_xtradb
581+then
582+ options="$options innodb_log_block_size"
583 fi
584
585 start_server
586
587-mkdir -p $topdir/backup
588-innobackupex $topdir/backup
589-backup_dir=`grep "innobackupex: Backup created in directory" $OUTFILE | awk -F\' '{ print $2}'`
590-vlog "Backup created in directory $backup_dir"
591+innobackupex --no-timestamp $topdir/backup
592
593 # test presence of options
594 for option in $options ; do
595
596- if [ "`cat $backup_dir/backup-my.cnf | grep $option | wc -l`" == "0" ] ; then
597- vlog "Option $option is absent"
598- exit -1
599- else
600- vlog "Option $option is present"
601- fi
602+ if ! cat $topdir/backup/backup-my.cnf | grep $option
603+ then
604+ vlog "Option $option is absent"
605+ exit -1
606+ else
607+ vlog "Option $option is present"
608+ fi
609
610 done
611
612=== modified file 'test/t/bug759225.sh'
613--- test/t/bug759225.sh 2013-04-27 18:46:54 +0000
614+++ test/t/bug759225.sh 2013-07-25 17:40:36 +0000
615@@ -7,14 +7,13 @@
616
617 if test "`uname -s`" != "Linux"
618 then
619- echo "Requires Linux" > $SKIPPED_REASON
620- exit $SKIPPED_EXIT_CODE
621-fi
622-
623-if [ -z "$XTRADB_VERSION" ]; then
624- echo "Requires XtraDB" > $SKIPPED_REASON
625- exit $SKIPPED_EXIT_CODE
626-fi
627+ skip_test "Requires Linux"
628+fi
629+
630+require_xtradb
631+
632+# ALL_O_DIRECT is not supported in XtraDB 5.6 ATM.
633+require_server_version_lower_than 5.6.1
634
635 MYSQLD_EXTRA_MY_CNF_OPTS="
636 innodb_flush_method=ALL_O_DIRECT
637
638=== modified file 'test/t/bug810269.sh'
639--- test/t/bug810269.sh 2012-06-05 12:35:33 +0000
640+++ test/t/bug810269.sh 2013-07-25 17:40:36 +0000
641@@ -6,8 +6,7 @@
642 . inc/common.sh
643
644 if [ -z "$INNODB_VERSION" ]; then
645- echo "Requires InnoDB plugin or XtraDB" >$SKIPPED_REASON
646- exit $SKIPPED_EXIT_CODE
647+ skip_test "Requires InnoDB plugin or XtraDB"
648 fi
649
650 start_server "--innodb_strict_mode --innodb_file_per_table \
651
652=== modified file 'test/t/bug817132.sh'
653--- test/t/bug817132.sh 2012-06-05 12:35:33 +0000
654+++ test/t/bug817132.sh 2013-07-25 17:40:36 +0000
655@@ -8,8 +8,7 @@
656 # defaults to 'xtrabackup'. So any build configurations other than xtradb51
657 # would fail in Jenkins.
658 if [ "`basename $XB_BIN`" != "xtrabackup" ]; then
659- echo "Requires xtradb51" > $SKIPPED_REASON
660- exit $SKIPPED_EXIT_CODE
661+ skip_test "Requires xtradb51"
662 fi
663
664 start_server
665
666=== modified file 'test/t/bug930062.sh'
667--- test/t/bug930062.sh 2013-03-06 09:17:17 +0000
668+++ test/t/bug930062.sh 2013-07-25 17:40:36 +0000
669@@ -5,24 +5,37 @@
670
671 . inc/common.sh
672
673-if [ -z "$XTRADB_VERSION" ]; then
674- echo "Requires XtraDB" > $SKIPPED_REASON
675- exit $SKIPPED_EXIT_CODE
676-fi
677-
678-if [ ${MYSQL_VERSION:0:3} = "5.5" ]
679-then
680- import_option="--innodb_import_table_from_xtrabackup=1"
681+MYSQLD_EXTRA_MY_CNF_OPTS="innodb_file_per_table=0"
682+if [ "$MYSQL_VERSION_MAJOR" -gt 5 -o \
683+ "$MYSQL_VERSION_MINOR" -ge 6 ]
684+then
685+ # For server versions >= 5.6 we don't need any special server options to
686+ # enable table import
687+ true
688+elif [ -n "$XTRADB_VERSION" ]
689+then
690+ case "$MYSQL_VERSION_MAJOR.$MYSQL_VERSION_MINOR" in
691+ 5.5 )
692+ import_option="innodb_import_table_from_xtrabackup=1";;
693+ 5.1 | 5.2 | 5.3 )
694+ import_option="innodb_expand_import=1";;
695+ *)
696+ die "Unknown XtraDB version";;
697+ esac
698+ MYSQLD_EXTRA_MY_CNF_OPTS="$MYSQLD_EXTRA_MY_CNF_OPTS
699+$import_option"
700 else
701- import_option="--innodb_expand_import=1"
702+ skip_test "Requires XtraDB 5.1+ or InnoDB 5.6+"
703 fi
704
705-mysql_extra_args="--innodb_file_per_table $import_option"
706-
707-start_server $mysql_extra_args
708+start_server
709
710 backup_dir=$topdir/backup
711
712+# Enable innodb_file_per_table dynamically, so we get individual tablespaces to
713+# export
714+run_cmd ${MYSQL} ${MYSQL_ARGS} -e "SET GLOBAL innodb_file_per_table=1"
715+
716 load_dbase_schema sakila
717 load_dbase_data sakila
718
719@@ -42,7 +55,7 @@
720
721 innobackupex --apply-log --export $backup_dir
722
723-start_server $mysql_extra_args
724+start_server
725
726 run_cmd ${MYSQL} ${MYSQL_ARGS} sakila <<EOF
727 SET foreign_key_checks=0;
728
729=== modified file 'test/t/bug976945.sh'
730--- test/t/bug976945.sh 2013-04-27 18:46:54 +0000
731+++ test/t/bug976945.sh 2013-07-25 17:40:36 +0000
732@@ -3,10 +3,11 @@
733 ############################################################################
734 . inc/common.sh
735
736-if [ -z "$XTRADB_VERSION" ]; then
737- echo "Requires XtraDB" > $SKIPPED_REASON
738- exit $SKIPPED_EXIT_CODE
739-fi
740+require_xtradb
741+
742+# Require XtraDB <= 5.5 until bug #1194828 is fixed
743+is_server_version_lower_than 5.6.0 || \
744+ skip_test "Doesn't work with XtraDB 5.6, bug #1194828"
745
746 MYSQLD_EXTRA_MY_CNF_OPTS="
747 innodb_log_block_size=4096
748
749=== modified file 'test/t/bug977652.sh'
750--- test/t/bug977652.sh 2012-06-14 10:50:28 +0000
751+++ test/t/bug977652.sh 2013-07-25 17:40:36 +0000
752@@ -3,10 +3,7 @@
753 # full backup in Xtrabackup 2.0.0
754 #############################################################################
755
756-if ! which qpress > /dev/null 2>&1 ; then
757- echo "Requires qpress to be installed" > $SKIPPED_REASON
758- exit $SKIPPED_EXIT_CODE
759-fi
760+require_qpress
761
762 . inc/common.sh
763
764
765=== modified file 'test/t/bug983695.sh'
766--- test/t/bug983695.sh 2013-07-22 12:38:55 +0000
767+++ test/t/bug983695.sh 2013-07-25 17:40:36 +0000
768@@ -4,10 +4,7 @@
769
770 . inc/common.sh
771
772-if ! which qpress > /dev/null 2>&1 ; then
773- echo "Requires qpress to be installed" > $SKIPPED_REASON
774- exit $SKIPPED_EXIT_CODE
775-fi
776+require_qpress
777
778 start_server --innodb_file_per_table
779 load_sakila
780
781=== modified file 'test/t/bug983720_galerainfo.sh'
782--- test/t/bug983720_galerainfo.sh 2013-07-23 19:26:07 +0000
783+++ test/t/bug983720_galerainfo.sh 2013-07-25 17:40:36 +0000
784@@ -12,8 +12,7 @@
785 then
786 vlog "Server supports wsrep"
787 else
788- echo "Requires WSREP enabled" > $SKIPPED_REASON
789- exit $SKIPPED_EXIT_CODE
790+ skip_test "Requires WSREP enabled"
791 fi
792 set -e
793
794
795=== modified file 'test/t/bug983720_lrudump.sh'
796--- test/t/bug983720_lrudump.sh 2012-06-05 12:35:33 +0000
797+++ test/t/bug983720_lrudump.sh 2013-07-25 17:40:36 +0000
798@@ -4,9 +4,9 @@
799
800 . inc/common.sh
801
802-if [ -z "$XTRADB_VERSION" ]; then
803- echo "Requires XtraDB" > $SKIPPED_REASON
804- exit $SKIPPED_EXIT_CODE
805+if ! is_xtradb || is_server_version_higher_than 5.6.0
806+then
807+ skip_test "Requires Percona Server <= 5.5"
808 fi
809
810 start_server
811
812=== modified file 'test/t/bug999750.sh'
813--- test/t/bug999750.sh 2012-06-05 12:35:33 +0000
814+++ test/t/bug999750.sh 2013-07-25 17:40:36 +0000
815@@ -7,8 +7,7 @@
816 # Exclude the built-in InnoDB configuration as it requires a different format
817 # for --incremental-lsn.
818 if [ -z "$INNODB_VERSION" ]; then
819- echo "Requires InnoDB plugin or XtraDB" >$SKIPPED_REASON
820- exit $SKIPPED_EXIT_CODE
821+ skip_test "Requires InnoDB plugin or XtraDB"
822 fi
823
824 start_server
825
826=== modified file 'test/t/compact_compressed.sh'
827--- test/t/compact_compressed.sh 2013-07-03 20:00:57 +0000
828+++ test/t/compact_compressed.sh 2013-07-25 17:40:36 +0000
829@@ -5,8 +5,7 @@
830 . inc/common.sh
831
832 if [ -z "$INNODB_VERSION" ]; then
833- echo "Requires InnoDB plugin or XtraDB" >$SKIPPED_REASON
834- exit $SKIPPED_EXIT_CODE
835+ skip_test "Requires InnoDB plugin or XtraDB"
836 fi
837
838 # Use innodb_strict_mode so that failure to use compression results in an
839
840=== modified file 'test/t/ddl.sh'
841--- test/t/ddl.sh 2013-05-07 07:53:25 +0000
842+++ test/t/ddl.sh 2013-07-25 17:40:36 +0000
843@@ -8,8 +8,7 @@
844 . inc/common.sh
845
846 if ! $XB_BIN --help 2>&1 | grep -q debug-sync; then
847- echo "Requires --debug-sync support" > $SKIPPED_REASON
848- exit $SKIPPED_EXIT_CODE
849+ skip_test "Requires --debug-sync support"
850 fi
851
852 MYSQLD_EXTRA_MY_CNF_OPTS="
853
854=== modified file 'test/t/gtid.sh'
855--- test/t/gtid.sh 2013-04-24 10:02:31 +0000
856+++ test/t/gtid.sh 2013-07-25 17:40:36 +0000
857@@ -4,11 +4,7 @@
858
859 . inc/common.sh
860
861-if [ ${MYSQL_VERSION:0:3} != "5.6" ]
862-then
863- echo "Requires a 5.6 server" > $SKIPPED_REASON
864- exit $SKIPPED_EXIT_CODE
865-fi
866+require_server_version_higher_than 5.6.0
867
868 MYSQLD_EXTRA_MY_CNF_OPTS="
869 gtid_mode=on
870
871=== modified file 'test/t/ib_buffer_pool.sh'
872--- test/t/ib_buffer_pool.sh 2013-04-25 14:32:09 +0000
873+++ test/t/ib_buffer_pool.sh 2013-07-25 17:40:36 +0000
874@@ -4,10 +4,7 @@
875
876 . inc/common.sh
877
878-if [ "${MYSQL_VERSION:0:3}" != "5.6" ]; then
879- echo "Requires MySQL 5.6" > $SKIPPED_REASON
880- exit $SKIPPED_EXIT_CODE
881-fi
882+require_server_version_higher_than 5.6.0
883
884 MYSQLD_EXTRA_MY_CNF_OPTS="
885 innodb_buffer_pool_filename=pool/dump
886
887=== modified file 'test/t/ib_buffer_pool_dump_incremental.sh'
888--- test/t/ib_buffer_pool_dump_incremental.sh 2013-04-25 14:32:09 +0000
889+++ test/t/ib_buffer_pool_dump_incremental.sh 2013-07-25 17:40:36 +0000
890@@ -4,10 +4,7 @@
891
892 . inc/common.sh
893
894-if [ "${MYSQL_VERSION:0:3}" != "5.6" ]; then
895- echo "Requires MySQL 5.6" > $SKIPPED_REASON
896- exit $SKIPPED_EXIT_CODE
897-fi
898+require_server_version_higher_than 5.6.0
899
900 MYSQLD_EXTRA_MY_CNF_OPTS="
901 innodb_buffer_pool_filename=pool/dump
902
903=== modified file 'test/t/ib_buffer_pool_rsync.sh'
904--- test/t/ib_buffer_pool_rsync.sh 2013-04-25 14:32:09 +0000
905+++ test/t/ib_buffer_pool_rsync.sh 2013-07-25 17:40:36 +0000
906@@ -5,14 +5,10 @@
907 . inc/common.sh
908
909 if ! which rsync > /dev/null 2>&1 ; then
910- echo "Requires rsync to be installed" > $SKIPPED_REASON
911- exit $SKIPPED_EXIT_CODE
912+ skip_test "Requires rsync to be installed"
913 fi
914
915-if [ "${MYSQL_VERSION:0:3}" != "5.6" ]; then
916- echo "Requires MySQL 5.6" > $SKIPPED_REASON
917- exit $SKIPPED_EXIT_CODE
918-fi
919+require_server_version_higher_than 5.6.0
920
921 MYSQLD_EXTRA_MY_CNF_OPTS="
922 innodb_buffer_pool_filename=pool/dump
923
924=== modified file 'test/t/ib_compress_basic.sh'
925--- test/t/ib_compress_basic.sh 2013-01-07 06:17:40 +0000
926+++ test/t/ib_compress_basic.sh 2013-07-25 17:40:36 +0000
927@@ -4,10 +4,7 @@
928
929 . inc/common.sh
930
931-if ! which qpress > /dev/null 2>&1 ; then
932- echo "Requires qpress to be installed" > $SKIPPED_REASON
933- exit $SKIPPED_EXIT_CODE
934-fi
935+require_qpress
936
937 start_server --innodb_file_per_table
938 load_sakila
939
940=== modified file 'test/t/ib_doublewrite.sh'
941--- test/t/ib_doublewrite.sh 2013-04-27 18:48:50 +0000
942+++ test/t/ib_doublewrite.sh 2013-07-25 17:40:36 +0000
943@@ -9,9 +9,9 @@
944
945 . inc/common.sh
946
947-if [ -z "$XTRADB_VERSION" ]; then
948- echo "Requires XtraDB" > $SKIPPED_REASON
949- exit $SKIPPED_EXIT_CODE
950+if ! is_xtradb || is_server_version_higher_than 5.6.0
951+then
952+ skip_test "Requires Percona Server <= 5.5"
953 fi
954
955 DBLWR=dblwr.ibd
956
957=== modified file 'test/t/ib_incremental_bitmap.sh'
958--- test/t/ib_incremental_bitmap.sh 2013-04-16 10:35:58 +0000
959+++ test/t/ib_incremental_bitmap.sh 2013-07-25 17:40:36 +0000
960@@ -1,9 +1,6 @@
961 # Test for incremental backups that use changed page bitmaps
962
963-if [ -z "$XTRADB_VERSION" ]; then
964- echo "Requires XtraDB" > $SKIPPED_REASON
965- exit $SKIPPED_EXIT_CODE
966-fi
967+require_xtradb
968
969 # The test is disabled for Percona XtraDB Cluster until a version
970 # with bitmap user requests is released (containing PS 5.5.29-30.0
971@@ -13,12 +10,13 @@
972 probe_result=$?
973 if [[ "$probe_result" == "0" ]]
974 then
975- vlog "Incompatible test" > $SKIPPED_REASON
976- exit $SKIPPED_EXIT_CODE
977+ skip_test "Incompatible test"
978 fi
979 set -e
980
981-mysqld_extra_args=--innodb-track-changed-pages=TRUE
982+MYSQLD_EXTRA_MY_CNF_OPTS="
983+innodb-track-changed-pages=TRUE
984+"
985 ib_inc_extra_args=
986
987 . inc/ib_incremental_common.sh
988
989=== modified file 'test/t/ib_incremental_force_full_scan.sh'
990--- test/t/ib_incremental_force_full_scan.sh 2013-04-16 10:35:58 +0000
991+++ test/t/ib_incremental_force_full_scan.sh 2013-07-25 17:40:36 +0000
992@@ -1,9 +1,6 @@
993 # Test for incremental backups that use forced full scan even when bitmaps are present
994
995-if [ -z "$XTRADB_VERSION" ]; then
996- echo "Requires XtraDB" > $SKIPPED_REASON
997- exit $SKIPPED_EXIT_CODE
998-fi
999+require_xtradb
1000
1001 # The test is disabled for Percona XtraDB Cluster until a version
1002 # with bitmap user requests is released (containing PS 5.5.29-30.0
1003@@ -13,13 +10,14 @@
1004 probe_result=$?
1005 if [[ "$probe_result" == "0" ]]
1006 then
1007- vlog "Incompatible test" > $SKIPPED_REASON
1008- exit $SKIPPED_EXIT_CODE
1009+ skip_test "Incompatible test"
1010 fi
1011 set -e
1012
1013
1014-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1015+MYSQLD_EXTRA_MY_CNF_OPTS="
1016+innodb-track-changed-pages=TRUE
1017+"
1018 ib_inc_extra_args=--incremental-force-scan
1019
1020 . inc/ib_incremental_common.sh
1021
1022=== modified file 'test/t/ib_incremental_full_scan.sh'
1023--- test/t/ib_incremental_full_scan.sh 2013-04-16 10:35:58 +0000
1024+++ test/t/ib_incremental_full_scan.sh 2013-07-25 17:40:36 +0000
1025@@ -1,6 +1,5 @@
1026 # Test incremental backups that do full data file scans
1027
1028-mysqld_extra_args=
1029 ib_inc_extra_args=
1030
1031 . inc/ib_incremental_common.sh
1032
1033=== modified file 'test/t/ib_lru_dump_basic.sh'
1034--- test/t/ib_lru_dump_basic.sh 2012-06-05 12:35:33 +0000
1035+++ test/t/ib_lru_dump_basic.sh 2013-07-25 17:40:36 +0000
1036@@ -4,9 +4,9 @@
1037
1038 . inc/common.sh
1039
1040-if [ -z "$XTRADB_VERSION" ]; then
1041- echo "Requires XtraDB" > $SKIPPED_REASON
1042- exit $SKIPPED_EXIT_CODE
1043+if ! is_xtradb || is_server_version_higher_than 5.6.0
1044+then
1045+ skip_test "Requires Percona Server <= 5.5"
1046 fi
1047
1048 start_server
1049
1050=== modified file 'test/t/ib_lru_dump_rsync.sh'
1051--- test/t/ib_lru_dump_rsync.sh 2012-06-05 12:35:33 +0000
1052+++ test/t/ib_lru_dump_rsync.sh 2013-07-25 17:40:36 +0000
1053@@ -4,14 +4,13 @@
1054
1055 . inc/common.sh
1056
1057-if [ -z "$XTRADB_VERSION" ]; then
1058- echo "Requires XtraDB" > $SKIPPED_REASON
1059- exit $SKIPPED_EXIT_CODE
1060+if ! is_xtradb || is_server_version_higher_than 5.6.0
1061+then
1062+ skip_test "Requires Percona Server <= 5.5"
1063 fi
1064
1065 if ! which rsync > /dev/null 2>&1 ; then
1066- echo "Requires rsync to be installed" > $SKIPPED_REASON
1067- exit $SKIPPED_EXIT_CODE
1068+ skip_test "Requires rsync to be installed"
1069 fi
1070
1071 start_server
1072
1073=== modified file 'test/t/ib_lru_dump_stream.sh'
1074--- test/t/ib_lru_dump_stream.sh 2012-06-05 12:35:33 +0000
1075+++ test/t/ib_lru_dump_stream.sh 2013-07-25 17:40:36 +0000
1076@@ -4,9 +4,9 @@
1077
1078 . inc/common.sh
1079
1080-if [ -z "$XTRADB_VERSION" ]; then
1081- echo "Requires XtraDB" > $SKIPPED_REASON
1082- exit $SKIPPED_EXIT_CODE
1083+if ! is_xtradb || is_server_version_higher_than 5.6.0
1084+then
1085+ skip_test "Requires Percona Server <= 5.5"
1086 fi
1087
1088 start_server
1089
1090=== modified file 'test/t/ib_rsync.sh'
1091--- test/t/ib_rsync.sh 2012-06-04 18:29:48 +0000
1092+++ test/t/ib_rsync.sh 2013-07-25 17:40:36 +0000
1093@@ -2,8 +2,7 @@
1094
1095 if ! which rsync > /dev/null 2>&1
1096 then
1097- echo "Requires rsync to be installed" > $SKIPPED_REASON
1098- exit $SKIPPED_EXIT_CODE
1099+ skip_test "Requires rsync to be installed"
1100 fi
1101
1102 start_server --innodb_file_per_table
1103
1104=== modified file 'test/t/ib_rsync_nolock.sh'
1105--- test/t/ib_rsync_nolock.sh 2013-02-13 10:52:52 +0000
1106+++ test/t/ib_rsync_nolock.sh 2013-07-25 17:40:36 +0000
1107@@ -2,8 +2,7 @@
1108
1109 if ! which rsync > /dev/null 2>&1
1110 then
1111- echo "Requires rsync to be installed" > $SKIPPED_REASON
1112- exit $SKIPPED_EXIT_CODE
1113+ skip_test "Requires rsync to be installed"
1114 fi
1115
1116 start_server --innodb_file_per_table
1117
1118=== modified file 'test/t/ib_stream_compress.sh'
1119--- test/t/ib_stream_compress.sh 2013-03-11 19:11:29 +0000
1120+++ test/t/ib_stream_compress.sh 2013-07-25 17:40:36 +0000
1121@@ -2,10 +2,7 @@
1122 # Test streaming + compression
1123 ############################################################################
1124
1125-if ! which qpress > /dev/null 2>&1 ; then
1126- echo "Requires qpress to be installed" > $SKIPPED_REASON
1127- exit $SKIPPED_EXIT_CODE
1128-fi
1129+require_qpress
1130
1131 stream_format=xbstream
1132 stream_extract_cmd="xbstream -xv <"
1133
1134=== modified file 'test/t/ib_stream_compress_encrypt.sh'
1135--- test/t/ib_stream_compress_encrypt.sh 2013-03-11 19:11:29 +0000
1136+++ test/t/ib_stream_compress_encrypt.sh 2013-07-25 17:40:36 +0000
1137@@ -2,10 +2,7 @@
1138 # Test streaming + compression + encryption
1139 ############################################################################
1140
1141-if ! which qpress > /dev/null 2>&1 ; then
1142- echo "Requires qpress to be installed" > $SKIPPED_REASON
1143- exit $SKIPPED_EXIT_CODE
1144-fi
1145+require_qpress
1146
1147 encrypt_algo="AES256"
1148 encrypt_key="percona_xtrabackup_is_awesome___"
1149
1150=== modified file 'test/t/innodb_page_size.sh'
1151--- test/t/innodb_page_size.sh 2013-04-23 11:04:23 +0000
1152+++ test/t/innodb_page_size.sh 2013-07-25 17:40:36 +0000
1153@@ -4,10 +4,9 @@
1154
1155 . inc/common.sh
1156
1157-if [ ${MYSQL_VERSION:0:3} != "5.6" -a -z "$XTRADB_VERSION" ]
1158+if ! is_server_version_higher_than 5.6.0 && ! is_xtradb
1159 then
1160- echo "Requires either XtraDB or a 5.6 server" > $SKIPPED_REASON
1161- exit $SKIPPED_EXIT_CODE
1162+ skip_test "Requires either XtraDB or a 5.6 server"
1163 fi
1164
1165 MYSQLD_EXTRA_MY_CNF_OPTS="
1166
1167=== modified file 'test/t/remote_tablespaces.sh'
1168--- test/t/remote_tablespaces.sh 2013-07-03 18:30:28 +0000
1169+++ test/t/remote_tablespaces.sh 2013-07-25 17:40:36 +0000
1170@@ -4,11 +4,7 @@
1171
1172 . inc/common.sh
1173
1174-if [ ${MYSQL_VERSION:0:3} != "5.6" ]
1175-then
1176- echo "Requires a 5.6 server" > $SKIPPED_REASON
1177- exit $SKIPPED_EXIT_CODE
1178-fi
1179+require_server_version_higher_than 5.6.0
1180
1181 start_server --innodb_file_per_table
1182
1183
1184=== modified file 'test/t/server_version.sh'
1185--- test/t/server_version.sh 2013-05-17 11:07:26 +0000
1186+++ test/t/server_version.sh 2013-07-25 17:40:36 +0000
1187@@ -12,9 +12,8 @@
1188 "xtradb51" | "xtradb55" | "xtradb56" | "innodb56")
1189 ;;
1190 *)
1191- echo "Requires (xtradb51|xtradb55|xtradb56|innodb56) \
1192-build configuration" >> $SKIPPED_REASON
1193- exit $SKIPPED_EXIT_CODE
1194+ skip_test "Requires (xtradb51|xtradb55|xtradb56|innodb56) \
1195+build configuration"
1196 ;;
1197 esac
1198
1199
1200=== modified file 'test/t/undo_tablespaces.sh'
1201--- test/t/undo_tablespaces.sh 2013-07-03 18:30:28 +0000
1202+++ test/t/undo_tablespaces.sh 2013-07-25 17:40:36 +0000
1203@@ -4,11 +4,7 @@
1204
1205 . inc/common.sh
1206
1207-if [ ${MYSQL_VERSION:0:3} != "5.6" ]
1208-then
1209- echo "Requires a 5.6 server" > $SKIPPED_REASON
1210- exit $SKIPPED_EXIT_CODE
1211-fi
1212+require_server_version_higher_than 5.6.0
1213
1214 ################################################################################
1215 # Start an uncommitted transaction pause "indefinitely" to keep the connection
1216
1217=== modified file 'test/t/xb_compress.sh'
1218--- test/t/xb_compress.sh 2013-03-11 19:11:29 +0000
1219+++ test/t/xb_compress.sh 2013-07-25 17:40:36 +0000
1220@@ -2,10 +2,7 @@
1221 # Test basic local backup with compression
1222 ############################################################################
1223
1224-if ! which qpress > /dev/null 2>&1 ; then
1225- echo "Requires qpress to be installed" > $SKIPPED_REASON
1226- exit $SKIPPED_EXIT_CODE
1227-fi
1228+require_qpress
1229
1230 innobackupex_options="--compress --compress-threads=4 --compress-chunk-size=8K"
1231 data_decompress_cmd="for i in *.qp; do qpress -d \$i ./; done; \
1232
1233=== modified file 'test/t/xb_compress_encrypt.sh'
1234--- test/t/xb_compress_encrypt.sh 2013-03-11 19:11:29 +0000
1235+++ test/t/xb_compress_encrypt.sh 2013-07-25 17:40:36 +0000
1236@@ -2,11 +2,7 @@
1237 # Test basic local backup with compression and encryption
1238 ############################################################################
1239
1240-if ! which qpress > /dev/null 2>&1 ; then
1241- echo "Requires qpress to be installed" > $SKIPPED_REASON
1242- exit $SKIPPED_EXIT_CODE
1243-fi
1244-
1245+require_qpress
1246
1247 encrypt_algo="AES256"
1248 encrypt_key="percona_xtrabackup_is_awesome___"
1249
1250=== modified file 'test/t/xb_export.sh'
1251--- test/t/xb_export.sh 2013-04-26 17:44:17 +0000
1252+++ test/t/xb_export.sh 2013-07-25 17:40:36 +0000
1253@@ -1,16 +1,19 @@
1254 . inc/common.sh
1255
1256-if [ -z "$XTRADB_VERSION" -a ${MYSQL_VERSION:0:3} != "5.6" ]; then
1257- echo "Requires XtraDB or MySQL 5.6" > $SKIPPED_REASON
1258- exit $SKIPPED_EXIT_CODE
1259+if ! is_xtradb && ! is_server_version_higher_than 5.6.0
1260+then
1261+ skip_test "Requires XtraDB or MySQL 5.6+"
1262 fi
1263
1264 import_option=""
1265
1266-if [ ! -z "$XTRADB_VERSION" ]
1267+if is_xtradb
1268 then
1269- # additional agrument should be passed to XtraDB
1270- if [ ${MYSQL_VERSION:0:3} = "5.5" ]
1271+ if is_server_version_higher_than 5.6.0
1272+ # No additional options for XtraDB 5.6+
1273+ then
1274+ true
1275+ elif is_server_version_higher_than 5.5.0
1276 then
1277 import_option="--innodb_import_table_from_xtrabackup=1"
1278 else
1279
1280=== modified file 'test/t/xb_galera_info.sh'
1281--- test/t/xb_galera_info.sh 2013-07-23 19:26:07 +0000
1282+++ test/t/xb_galera_info.sh 2013-07-25 17:40:36 +0000
1283@@ -8,8 +8,7 @@
1284 then
1285 vlog "Server supports wsrep"
1286 else
1287- echo "Requires WSREP enabled" > $SKIPPED_REASON
1288- exit $SKIPPED_EXIT_CODE
1289+ skip_test "Requires WSREP enabled"
1290 fi
1291 set -e
1292
1293
1294=== modified file 'test/t/xb_galera_sst.sh'
1295--- test/t/xb_galera_sst.sh 2013-07-23 17:58:06 +0000
1296+++ test/t/xb_galera_sst.sh 2013-07-25 17:40:36 +0000
1297@@ -19,8 +19,7 @@
1298 then
1299 vlog "Server supports wsrep"
1300 else
1301- echo "Requires WSREP enabled" > $SKIPPED_REASON
1302- exit $SKIPPED_EXIT_CODE
1303+ skip_test "Requires WSREP enabled"
1304 fi
1305 set -e
1306
1307
1308=== modified file 'test/t/xb_incremental_bitmap_misc.sh'
1309--- test/t/xb_incremental_bitmap_misc.sh 2013-04-16 10:35:58 +0000
1310+++ test/t/xb_incremental_bitmap_misc.sh 2013-07-25 17:40:36 +0000
1311@@ -1,9 +1,6 @@
1312 # Test diagnostics for missing bitmap data and --incremental-force-scan option
1313
1314-if [ -z "$XTRADB_VERSION" ]; then
1315- echo "Requires XtraDB" > $SKIPPED_REASON
1316- exit $SKIPPED_EXIT_CODE
1317-fi
1318+require_xtradb
1319
1320 # The test is disabled for Percona XtraDB Cluster until a version
1321 # with bitmap user requests is released (containing PS 5.5.29-30.0
1322@@ -13,22 +10,23 @@
1323 probe_result=$?
1324 if [[ "$probe_result" == "0" ]]
1325 then
1326- vlog "Incompatible test" > $SKIPPED_REASON
1327- exit $SKIPPED_EXIT_CODE
1328+ skip_test "Incompatible test"
1329 fi
1330 set -e
1331
1332 . inc/common.sh
1333
1334-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1335+MYSQLD_EXTRA_MY_CNF_OPTS="
1336+innodb-track-changed-pages=TRUE
1337+"
1338
1339-start_server $mysqld_extra_args
1340+start_server
1341 ${MYSQL} ${MYSQL_ARGS} -e "CREATE TABLE t1 (a INT) ENGINE=INNODB" test
1342 ${MYSQL} ${MYSQL_ARGS} -e "INSERT INTO t1 VALUES (1)" test
1343
1344 # Force checkpoint
1345 shutdown_server
1346-start_server $mysqld_extra_args
1347+start_server
1348
1349 # Full backup
1350 # mkdir $topdir/data/full
1351@@ -37,15 +35,15 @@
1352 ${MYSQL} ${MYSQL_ARGS} -e "INSERT INTO t1 VALUES (2)" test
1353 # Force checkpoint
1354 shutdown_server
1355-start_server $mysqld_extra_args
1356+start_server
1357 ${MYSQL} ${MYSQL_ARGS} -e "INSERT INTO t1 VALUES (3)" test
1358 # Force checkpoint
1359 shutdown_server
1360-start_server $mysqld_extra_args
1361+start_server
1362 ${MYSQL} ${MYSQL_ARGS} -e "INSERT INTO t1 VALUES (4)" test
1363 # Force checkpoint
1364 shutdown_server
1365-start_server $mysqld_extra_args
1366+start_server
1367
1368 ls -l $mysql_datadir/*.xdb
1369
1370
1371=== modified file 'test/t/xb_incremental_compressed.inc'
1372--- test/t/xb_incremental_compressed.inc 2013-04-16 10:35:58 +0000
1373+++ test/t/xb_incremental_compressed.inc 2013-07-25 17:40:36 +0000
1374@@ -2,7 +2,7 @@
1375 # Test incremental backup with InnoDB compression
1376 ################################################################################
1377 # Expects the following variable to be set before including:
1378-# mysqld_extra_args: an extra arg to be passed for all mysqld invocations.
1379+# MYSQLD_EXTRA_MY_CNF_OPTS: an extra arg to be passed for all mysqld invocations.
1380 # Use this to set special options that influence
1381 # incremental backups, e.g. turns on log archiving or
1382 # changed page bitmap output.
1383@@ -42,11 +42,14 @@
1384
1385 # Use innodb_strict_mode so that failure to use compression results in an
1386 # error rather than a warning
1387- mysqld_additional_args="$mysqld_extra_args --innodb_strict_mode \
1388- --innodb_file_per_table --innodb_file_format=Barracuda \
1389- --innodb_max_dirty_pages_pct=0 --innodb_log_file_size=1M"
1390+ MYSQLD_EXTRA_MY_CNF_OPTS="${MYSQLD_EXTRA_MY_CNF_OPTS:-""}
1391+innodb_strict_mode
1392+innodb_file_per_table
1393+innodb_file_format=Barracuda
1394+innodb_max_dirty_pages_pct=0
1395+innodb_log_file_size=1M"
1396
1397- start_server ${mysqld_additional_args}
1398+ start_server
1399
1400 load_dbase_schema incremental_sample
1401
1402@@ -82,7 +85,7 @@
1403
1404 vlog "Starting backup"
1405
1406- xtrabackup --datadir=$mysql_datadir --backup --target-dir=$topdir/data/full ${mysqld_additional_args}
1407+ xtrabackup --datadir=$mysql_datadir --backup --target-dir=$topdir/data/full
1408
1409 vlog "Full backup done"
1410
1411@@ -99,7 +102,7 @@
1412
1413 # Rotate bitmap file here and force checkpoint at the same time
1414 shutdown_server
1415- start_server ${mysqld_additional_args}
1416+ start_server
1417
1418 add_rows test 12501 15000
1419 add_rows t2 12501 15000
1420@@ -139,7 +142,7 @@
1421 # Incremental backup
1422 xtrabackup --datadir=$mysql_datadir --backup \
1423 --target-dir=$topdir/data/delta --incremental-basedir=$topdir/data/full \
1424- ${mysqld_additional_args} $suspend_arg &
1425+ $suspend_arg &
1426
1427 xb_pid=$!
1428
1429@@ -158,14 +161,14 @@
1430
1431 # Prepare backup
1432 xtrabackup --datadir=$mysql_datadir --prepare \
1433- --apply-log-only --target-dir=$topdir/data/full ${mysqld_additional_args}
1434+ --apply-log-only --target-dir=$topdir/data/full
1435 vlog "Log applied to backup"
1436 xtrabackup --datadir=$mysql_datadir --prepare \
1437 --apply-log-only --target-dir=$topdir/data/full \
1438- --incremental-dir=$topdir/data/delta ${mysqld_additional_args}
1439+ --incremental-dir=$topdir/data/delta
1440 vlog "Delta applied to backup"
1441 xtrabackup --datadir=$mysql_datadir --prepare \
1442- --target-dir=$topdir/data/full ${mysqld_additional_args}
1443+ --target-dir=$topdir/data/full
1444 vlog "Data prepared for restore"
1445
1446 # removing rows
1447@@ -186,7 +189,7 @@
1448
1449 vlog "Data restored"
1450
1451- start_server ${mysqld_additional_args}
1452+ start_server
1453
1454 vlog "Checking checksums"
1455 checksum_test_b=`checksum_table incremental_sample test`
1456
1457=== modified file 'test/t/xb_incremental_compressed_bitmap_16kb.sh'
1458--- test/t/xb_incremental_compressed_bitmap_16kb.sh 2013-04-16 10:35:58 +0000
1459+++ test/t/xb_incremental_compressed_bitmap_16kb.sh 2013-07-25 17:40:36 +0000
1460@@ -1,9 +1,6 @@
1461 # Test incremental backups that use bitmaps with 16KB compressed pages
1462
1463-if [ -z "$XTRADB_VERSION" ]; then
1464- echo "Requires XtraDB" > $SKIPPED_REASON
1465- exit $SKIPPED_EXIT_CODE
1466-fi
1467+require_xtradb
1468
1469 # The test is disabled for Percona XtraDB Cluster until a version
1470 # with bitmap user requests is released (containing PS 5.5.29-30.0
1471@@ -13,12 +10,13 @@
1472 probe_result=$?
1473 if [[ "$probe_result" == "0" ]]
1474 then
1475- vlog "Incompatible test" > $SKIPPED_REASON
1476- exit $SKIPPED_EXIT_CODE
1477+ skip_test "Incompatible test"
1478 fi
1479 set -e
1480
1481-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1482+MYSQLD_EXTRA_MY_CNF_OPTS="
1483+innodb-track-changed-pages=TRUE
1484+"
1485 first_inc_suspend_command="FLUSH CHANGED_PAGE_BITMAPS;"
1486
1487 source t/xb_incremental_compressed.inc
1488
1489=== modified file 'test/t/xb_incremental_compressed_bitmap_1kb.sh'
1490--- test/t/xb_incremental_compressed_bitmap_1kb.sh 2013-04-16 10:35:58 +0000
1491+++ test/t/xb_incremental_compressed_bitmap_1kb.sh 2013-07-25 17:40:36 +0000
1492@@ -1,9 +1,6 @@
1493 # Test incremental backups that use bitmaps with 1KB compressed pages
1494
1495-if [ -z "$XTRADB_VERSION" ]; then
1496- echo "Requires XtraDB" > $SKIPPED_REASON
1497- exit $SKIPPED_EXIT_CODE
1498-fi
1499+require_xtradb
1500
1501 # The test is disabled for Percona XtraDB Cluster until a version
1502 # with bitmap user requests is released (containing PS 5.5.29-30.0
1503@@ -13,12 +10,13 @@
1504 probe_result=$?
1505 if [[ "$probe_result" == "0" ]]
1506 then
1507- vlog "Incompatible test" > $SKIPPED_REASON
1508- exit $SKIPPED_EXIT_CODE
1509+ skip_test "Incompatible test"
1510 fi
1511 set -e
1512
1513-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1514+MYSQLD_EXTRA_MY_CNF_OPTS="
1515+innodb-track-changed-pages=TRUE
1516+"
1517 first_inc_suspend_command="FLUSH CHANGED_PAGE_BITMAPS;"
1518
1519 source t/xb_incremental_compressed.inc
1520
1521=== modified file 'test/t/xb_incremental_compressed_bitmap_2kb.sh'
1522--- test/t/xb_incremental_compressed_bitmap_2kb.sh 2013-04-16 10:35:58 +0000
1523+++ test/t/xb_incremental_compressed_bitmap_2kb.sh 2013-07-25 17:40:36 +0000
1524@@ -1,9 +1,6 @@
1525 # Test incremental backups that use bitmaps with 2KB compressed pages
1526
1527-if [ -z "$XTRADB_VERSION" ]; then
1528- echo "Requires XtraDB" > $SKIPPED_REASON
1529- exit $SKIPPED_EXIT_CODE
1530-fi
1531+require_xtradb
1532
1533 # The test is disabled for Percona XtraDB Cluster until a version
1534 # with bitmap user requests is released (containing PS 5.5.29-30.0
1535@@ -13,12 +10,13 @@
1536 probe_result=$?
1537 if [[ "$probe_result" == "0" ]]
1538 then
1539- vlog "Incompatible test" > $SKIPPED_REASON
1540- exit $SKIPPED_EXIT_CODE
1541+ skip_test "Incompatible test"
1542 fi
1543 set -e
1544
1545-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1546+MYSQLD_EXTRA_MY_CNF_OPTS="
1547+innodb-track-changed-pages=TRUE
1548+"
1549 first_inc_suspend_command="FLUSH CHANGED_PAGE_BITMAPS;"
1550
1551 source t/xb_incremental_compressed.inc
1552
1553=== modified file 'test/t/xb_incremental_compressed_bitmap_4kb.sh'
1554--- test/t/xb_incremental_compressed_bitmap_4kb.sh 2013-04-16 10:35:58 +0000
1555+++ test/t/xb_incremental_compressed_bitmap_4kb.sh 2013-07-25 17:40:36 +0000
1556@@ -1,9 +1,6 @@
1557 # Test incremental backups that use bitmaps with 4KB compressed pages
1558
1559-if [ -z "$XTRADB_VERSION" ]; then
1560- echo "Requires XtraDB" > $SKIPPED_REASON
1561- exit $SKIPPED_EXIT_CODE
1562-fi
1563+require_xtradb
1564
1565 # The test is disabled for Percona XtraDB Cluster until a version
1566 # with bitmap user requests is released (containing PS 5.5.29-30.0
1567@@ -13,12 +10,13 @@
1568 probe_result=$?
1569 if [[ "$probe_result" == "0" ]]
1570 then
1571- vlog "Incompatible test" > $SKIPPED_REASON
1572- exit $SKIPPED_EXIT_CODE
1573+ skip_test "Incompatible test"
1574 fi
1575 set -e
1576
1577-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1578+MYSQLD_EXTRA_MY_CNF_OPTS="
1579+innodb-track-changed-pages=TRUE
1580+"
1581 first_inc_suspend_command="FLUSH CHANGED_PAGE_BITMAPS;"
1582
1583 source t/xb_incremental_compressed.inc
1584
1585=== modified file 'test/t/xb_incremental_compressed_bitmap_8kb.sh'
1586--- test/t/xb_incremental_compressed_bitmap_8kb.sh 2013-04-16 10:35:58 +0000
1587+++ test/t/xb_incremental_compressed_bitmap_8kb.sh 2013-07-25 17:40:36 +0000
1588@@ -1,9 +1,6 @@
1589 # Test incremental backups that use bitmaps with 8KB compressed pages
1590
1591-if [ -z "$XTRADB_VERSION" ]; then
1592- echo "Requires XtraDB" > $SKIPPED_REASON
1593- exit $SKIPPED_EXIT_CODE
1594-fi
1595+require_xtradb
1596
1597 # The test is disabled for Percona XtraDB Cluster until a version
1598 # with bitmap user requests is released (containing PS 5.5.29-30.0
1599@@ -13,12 +10,13 @@
1600 probe_result=$?
1601 if [[ "$probe_result" == "0" ]]
1602 then
1603- vlog "Incompatible test" > $SKIPPED_REASON
1604- exit $SKIPPED_EXIT_CODE
1605+ skip_test "Incompatible test"
1606 fi
1607 set -e
1608
1609-mysqld_extra_args=--innodb-track-changed-pages=TRUE
1610+MYSQLD_EXTRA_MY_CNF_OPTS="
1611+innodb-track-changed-pages=TRUE
1612+"
1613 first_inc_suspend_command="FLUSH CHANGED_PAGE_BITMAPS;"
1614
1615 source t/xb_incremental_compressed.inc
1616
1617=== modified file 'test/t/xb_incremental_compressed_full_scan_16kb.sh'
1618--- test/t/xb_incremental_compressed_full_scan_16kb.sh 2013-04-16 10:35:58 +0000
1619+++ test/t/xb_incremental_compressed_full_scan_16kb.sh 2013-07-25 17:40:36 +0000
1620@@ -1,6 +1,5 @@
1621 # Test incremental backups that do full data scans with 16KB compressed pages
1622
1623-mysqld_extra_args=
1624 first_inc_suspend_command=
1625
1626 source t/xb_incremental_compressed.inc
1627
1628=== modified file 'test/t/xb_incremental_compressed_full_scan_1kb.sh'
1629--- test/t/xb_incremental_compressed_full_scan_1kb.sh 2013-04-16 10:35:58 +0000
1630+++ test/t/xb_incremental_compressed_full_scan_1kb.sh 2013-07-25 17:40:36 +0000
1631@@ -1,6 +1,5 @@
1632 # Test incremental backups that do full data scans with 1KB compressed pages
1633
1634-mysqld_extra_args=
1635 first_inc_suspend_command=
1636
1637 source t/xb_incremental_compressed.inc
1638
1639=== modified file 'test/t/xb_incremental_compressed_full_scan_2kb.sh'
1640--- test/t/xb_incremental_compressed_full_scan_2kb.sh 2013-04-16 10:35:58 +0000
1641+++ test/t/xb_incremental_compressed_full_scan_2kb.sh 2013-07-25 17:40:36 +0000
1642@@ -1,6 +1,5 @@
1643 # Test incremental backups that do full data scans with 2KB compressed pages
1644
1645-mysqld_extra_args=
1646 first_inc_suspend_command=
1647
1648 source t/xb_incremental_compressed.inc
1649
1650=== modified file 'test/t/xb_incremental_compressed_full_scan_4kb.sh'
1651--- test/t/xb_incremental_compressed_full_scan_4kb.sh 2013-04-16 10:35:58 +0000
1652+++ test/t/xb_incremental_compressed_full_scan_4kb.sh 2013-07-25 17:40:36 +0000
1653@@ -1,6 +1,5 @@
1654 # Test incremental backups that do full data scans with 4KB compressed pages
1655
1656-mysqld_extra_args=
1657 first_inc_suspend_command=
1658
1659 source t/xb_incremental_compressed.inc
1660
1661=== modified file 'test/t/xb_incremental_compressed_full_scan_8kb.sh'
1662--- test/t/xb_incremental_compressed_full_scan_8kb.sh 2013-04-16 10:35:58 +0000
1663+++ test/t/xb_incremental_compressed_full_scan_8kb.sh 2013-07-25 17:40:36 +0000
1664@@ -1,6 +1,5 @@
1665 # Test incremental backups that do full data scans with 8KB compressed pages
1666
1667-mysqld_extra_args=
1668 first_inc_suspend_command=
1669
1670 source t/xb_incremental_compressed.inc
1671
1672=== modified file 'test/t/xb_log_overwrap.sh'
1673--- test/t/xb_log_overwrap.sh 2013-04-16 10:35:58 +0000
1674+++ test/t/xb_log_overwrap.sh 2013-07-25 17:40:36 +0000
1675@@ -1,8 +1,7 @@
1676 . inc/common.sh
1677
1678 if ! $XB_BIN --help 2>&1 | grep -q debug-sync; then
1679- echo "Requires --debug-sync support" > $SKIPPED_REASON
1680- exit $SKIPPED_EXIT_CODE
1681+ skip_test "Requires --debug-sync support"
1682 fi
1683
1684 start_server --innodb_log_file_size=1M --innodb_thread_concurrency=1 \
1685
1686=== modified file 'test/t/xb_parallel_compress.sh'
1687--- test/t/xb_parallel_compress.sh 2013-03-11 19:11:29 +0000
1688+++ test/t/xb_parallel_compress.sh 2013-07-25 17:40:36 +0000
1689@@ -2,10 +2,7 @@
1690 # Test basic local parallel backup with compression
1691 ############################################################################
1692
1693-if ! which qpress > /dev/null 2>&1 ; then
1694- echo "Requires qpress to be installed" > $SKIPPED_REASON
1695- exit $SKIPPED_EXIT_CODE
1696-fi
1697+require_qpress
1698
1699 innobackupex_options="--parallel=8 --compress --compress-threads=4 --compress-chunk-size=8K"
1700 data_decompress_cmd="for i in *.qp; do qpress -d \$i ./; done; \
1701
1702=== modified file 'test/t/xb_parallel_compress_encrypt.sh'
1703--- test/t/xb_parallel_compress_encrypt.sh 2013-03-11 19:11:29 +0000
1704+++ test/t/xb_parallel_compress_encrypt.sh 2013-07-25 17:40:36 +0000
1705@@ -2,10 +2,7 @@
1706 # Test basic local parallel backup with compression and encryption
1707 ############################################################################
1708
1709-if ! which qpress > /dev/null 2>&1 ; then
1710- echo "Requires qpress to be installed" > $SKIPPED_REASON
1711- exit $SKIPPED_EXIT_CODE
1712-fi
1713+require_qpress
1714
1715 encrypt_algo="AES256"
1716 encrypt_key="percona_xtrabackup_is_awesome___"
1717
1718=== modified file 'test/t/xb_parallel_incremental.sh'
1719--- test/t/xb_parallel_incremental.sh 2012-06-05 12:35:33 +0000
1720+++ test/t/xb_parallel_incremental.sh 2013-07-25 17:40:36 +0000
1721@@ -4,6 +4,12 @@
1722
1723 . inc/common.sh
1724
1725+if is_server_version_higher_than 5.6.0 && \
1726+ is_server_version_lower_than 5.6.11
1727+then
1728+ skip_test "Doesn't work for server 5.6.x if x < 11, bug #1203669"
1729+fi
1730+
1731 start_server --innodb_file_per_table
1732
1733 load_dbase_schema sakila

Subscribers

People subscribed via source and target branches

to all changes: